# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['thx',
 'thx.payment',
 'thx.payment.api',
 'thx.payment.api.version1',
 'thx.payment.management',
 'thx.payment.management.commands',
 'thx.payment.migrations',
 'thx.payment.tests']

package_data = \
{'': ['*'],
 'thx.payment': ['docs/*',
                 'locale/it/LC_MESSAGES/*',
                 'static/payment/admin/*',
                 'static/payment/img/*',
                 'static/payment/src/*',
                 'templates/includes/*',
                 'templates/payment/*']}

install_requires = \
['Django>=2.2,<5',
 'jmb-filters>=1.3.0,<2.0.0',
 'thx-admin-tools>=0.2.1',
 'thx-api>=0.3.14,<0.4.0',
 'thx-core>=0.2.12,<0.3.0',
 'thx-role>=0.3.2,<0.4.0']

setup_kwargs = {
    'name': 'thx-payment',
    'version': '0.1.3',
    'description': 'Manage payment',
    'long_description': 'None',
    'author': 'THUX',
    'author_email': 'code@thux.it',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.8.1,<4.0.0',
}


setup(**setup_kwargs)
