# -*- coding: utf-8 -*-
from thx.role.core.filters import ThxRoleFilterBackend


class PaymentFormFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()


class PaymentInstallmentFilterBackend(ThxRoleFilterBackend):
    def default_filter_queryset(self, request, queryset, view):
        profile = view.ar.profile
        if profile == 'superuser':
            return queryset
        if profile == 'staff':
            return queryset
        return queryset.none()
