# -*- coding: utf-8 -*-

from rest_framework import routers

from . import views

router = routers.SimpleRouter()
router.register(
    r'(?P<profile>\w+)/payment-form',
    views.PaymentFormViewSet,
)
router.register(
    r'(?P<profile>\w+)/payment-installment',
    views.PaymentInstallmentViewSet,
)
urlpatterns = router.urls
